Saltar al contenido

Get a canon gate criterion

Módulo Canon

GET/canon/gate-criteria/{criterion_id}canonGateCriteria.get

A gate criterion. Blocking criteria stop the gate transition in the database. Returns one canon gate criterion with its `ETag`. A canon gate criterion the caller may not see returns 404.

  • Requiere la capacidad canon.taxonomy.read.
  • Alcances de OAuth: canon.
  • Estados de error: 400, 401, 404, 429. Los errores son detalles de problema RFC 9457.

Parámetros de ruta y de consulta

canonGateCriteria.get: Parámetros de ruta y de consulta
CampoTipoObligatorioDescripción
criterion_idCriterionIdSíGate criterion identifier from `xpms.dim_gate_criterion`.Restricciones: pattern ^G[1-9]\.[A-Z0-9_]+$
fieldsFieldsNoSparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Restricciones: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$

Respuesta 200: CanonGateCriterion

canonGateCriteria.get: CanonGateCriterion
CampoTipoObligatorioDescripción
gateintegerSíGate ordinal.Restricciones: range 1 to any
criterion_idCriterionIdSíGate criterion identifier from `xpms.dim_gate_criterion`.Restricciones: pattern ^G[1-9]\.[A-Z0-9_]+$
statementstringSíCriterion statement.Restricciones: length 1 to 20000
is_blockingbooleanSíWhether the criterion blocks the gate.
{
  "gate": 1,
  "criterion_id": "G1.BUDGET_ENVELOPE",
  "statement": "A budget envelope exists and is approved.",
  "is_blocking": true
}

Ejemplos de código

curl -X GET "$XOS_BASE_URL/canon/gate-criteria/G1.BUDGET_ENVELOPE" \
  -H "Authorization: Bearer $XOS_API_KEY"
const { data, etag } = await xos.canonGateCriteria.get("G1.BUDGET_ENVELOPE");
response = xos.canon_gate_criteria.get("G1.BUDGET_ENVELOPE")
xos canon-gate-criteria get G1.BUDGET_ENVELOPE